Bug 1312939 - Review Request: mongo-c-driver - Client library written in C for MongoDB
Review Request: mongo-c-driver - Client library written in C for MongoDB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
: 1260254 (view as bug list)
Depends On:
Blocks: pecl/mongodb
  Show dependency treegraph
 
Reported: 2016-02-29 10:06 EST by Remi Collet
Modified: 2016-06-05 02:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-21 02:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+


Attachments (Terms of Use)
fedora-review output (10.68 KB, text/plain)
2016-05-16 05:50 EDT, Johan Cwiklinski
no flags Details

  None (edit)
Description Remi Collet 2016-02-29 10:06:18 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/5326a6d805d8935bc49a42149c0f3b476647727e/mongo-c-driver/mongo-c-driver.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/mongo-c-driver-1.3.3-2.remi.src.rpm
Description: 
mongo-c-driver is a client library written in C for MongoDB.


Fedora Account System Username: remi
Comment 1 Remi Collet 2016-02-29 10:06:59 EST
*** Bug 1260254 has been marked as a duplicate of this bug. ***
Comment 2 Upstream Release Monitoring 2016-02-29 10:11:57 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13177835
Comment 3 Upstream Release Monitoring 2016-02-29 10:19:39 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13177894
Comment 4 Upstream Release Monitoring 2016-02-29 10:20:44 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13177898
Comment 5 Upstream Release Monitoring 2016-02-29 13:13:50 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13179468
Comment 6 Upstream Release Monitoring 2016-02-29 13:16:40 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13179467
Comment 8 Upstream Release Monitoring 2016-03-01 04:22:42 EST
remi's scratch build of mongo-c-driver-1.3.3-2.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13187254
Comment 13 Anthony Messina 2016-05-06 20:26:18 EDT
Remi, thank you for working to get this into Fedora.  Do you know what is holding up the acceptance?
Comment 16 Johan Cwiklinski 2016-05-16 05:50 EDT
Created attachment 1157827 [details]
fedora-review output
Comment 17 Johan Cwiklinski 2016-05-16 06:02:07 EDT
All is OK except rpmlint output.

I do not understand the crypto-policy-non-compliance-openssl. The patch has been applied, warnings should be gone now... Well, it is just a warning anyways (and a patch has been submitted upstream for that).

For the only-non-binary-in-usr-lib; I really do not understand what is wrong; I guess it should be a false positive from rpmlint. It is also just a warning.

All others rpmlint warnings can be ignored; there is no blockers...

APPROVED :)
Comment 18 Remi Collet 2016-05-16 06:06:21 EDT
Great thanks for the review!

New package requested on pkgdb.
Comment 19 Gwyn Ciesla 2016-05-17 10:23:42 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mongo-c-driver
Comment 20 Fedora Update System 2016-05-18 01:14:53 EDT
mongo-c-driver-1.3.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87a6621c07
Comment 21 Fedora Update System 2016-05-18 01:15:02 EDT
mongo-c-driver-1.3.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e002f14bbb
Comment 22 Fedora Update System 2016-05-18 01:15:07 EDT
mongo-c-driver-1.3.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4726cb8c2
Comment 23 Fedora Update System 2016-05-18 01:15:12 EDT
mongo-c-driver-1.3.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ab5bab700
Comment 24 Fedora Update System 2016-05-20 21:23:43 EDT
mongo-c-driver-1.3.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ab5bab700
Comment 25 Fedora Update System 2016-05-20 21:35:23 EDT
mongo-c-driver-1.3.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e002f14bbb
Comment 26 Fedora Update System 2016-05-20 22:28:27 EDT
mongo-c-driver-1.3.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4726cb8c2
Comment 27 Fedora Update System 2016-05-21 02:22:51 EDT
mongo-c-driver-1.3.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-87a6621c07
Comment 28 Remi Collet 2016-05-21 02:29:00 EDT
Closing to unblock pending reviews
Comment 29 Fedora Update System 2016-05-26 13:33:30 EDT
mongo-c-driver-1.3.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-05-29 18:22:30 EDT
mongo-c-driver-1.3.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-05-30 00:22:24 EDT
mongo-c-driver-1.3.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-06-05 02:48:59 EDT
mongo-c-driver-1.3.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.